<?php

use App\Traits\MigrationTrait;
use Illuminate\Database\Migrations\Migration;

class CreateAllTablesV1 extends Migration
{

    use MigrationTrait;

    public function up()
    {
        $this->systemTrackingUp();
        $this->userRoleMasterUp();
        $this->fileCategoryUp();
        $this->fileStagingUp();
    }

    public function down()
    {
        $this->systemTrackingDown();
        $this->userRoleMasterDown();
        $this->fileCategoryDown();
        $this->fileStagingDown();
    }
}
